View Issue Details

IDProjectCategoryView StatusLast Update
0002177Far Manager_Commonpublic2012-11-29 18:26
ReporterladsergAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002177: Сделать возможность создания настроек/профиля по умолчанию
DescriptionНеплохо было бы сделать возможность указания настроек по умолчанию, которые применялись бы при первом запуске Far'а, это особенно удобно для администраторов больших сетей.

Цель один раз описать настройки под свое предприятие (или сгенерировать инсталлятором, например в зависимости от наличия установленных програм, и от того где они лежат), ну или просто сгенерировать настройки под свои предпочтения, затем один раз создать инсталляшку с данными настройками, и в дальнейшем где бы ты ни устанавливал с этой инсталляшки Far, без лишних шевелений получать любимый свой родной язык в интерфейсе, привычные тебе хоткеи, цвета и вьюверы по расширению.

Ну и меню.
TagsNo tags attached.
Build2955

Activities

NightRoman

2012-10-23 21:36

reporter   bugnote:0009645

На всякий случай, тут обсуждение с некоторыми неочевидными на первый взгляд деталями:
http://forum.farmanager.com/viewtopic.php?p=99092#p99092

ladserg

2012-10-24 09:21

reporter   bugnote:0009649

Я не знаю специфики когда, но если Фар при запуске проверяет есть ли нужные каталоги/файлы/ветки реестра, то можно воспользоваться этим. По крайней мере третий Фар создает же каталог с профилем при его отсутствии сам.

Так вот если перед создание вставить чтение и применение настроек из файла %FARHOME%\default.config, при наличии оного, то это решит вопрос. ИМХО.

NightRoman

2012-10-24 09:29

reporter   bugnote:0009651

Да, неплохо. + Менее завязано на структуру баз данных. И совсем было бы идеально, если бы это выборочно работало - каких баз нет, только то и берем из дефолтных настроек.

2useven10

2012-10-30 20:23

developer   bugnote:0009679

пробуем - build 2913

1. M#2177: Сделать возможность создания настроек/профиля по умолчанию
   Настройки импортируются из файла Default.farconfig, его расположение
   можно задать в параметре TemplateProfileDir Far.exe.ini (умолчание %FARHOME%\Default),
   или в командной строке '/t "TemplateDir"'. Настройки импортируются в момент первого
   открытия файлов б.д. настроек и только если файл отсутствует.

ladserg

2012-10-31 14:28

reporter   bugnote:0009680

Работает, но мне кажется, что было бы удобнее файл с настройками ложить в каталог фара рядом с far.exe, вместо переменной TemplateProfileDir сделать переменную DefaultConfigFile, указывающую на файл с настройками (все равно импорт целого каталога невыгоден будет), ну и опцию командной строки убрать, т.к. проще положить файл с нужным именем куда надо, чем пользоваться опцией командной строки. Если надо будет импортировать настройки вручную, то есть уже опция

/import <File>

ИМХО, конечно же.

2useven10

2012-10-31 15:54

developer   bugnote:0009681

Никто не мешает задать TemplateProfileDir=%FARHOME%, тогда Default.farconfig будет рядом с far.exe. Импортируется не каталог, а один файл, причем только те его части, для которых не существуют файлы настроек. /import переносит ВСЕ настройки (в отчилие от /t ...). Каталог в параметре сделан также для того, чтобы была возможность добавить перенос настроек из файлов .db (если найдутся желающие).

ladserg

2012-10-31 16:03

reporter   bugnote:0009682

да я чо, я ни чо, мне и так нормально :-)

а из db файлов я бы переносить настройки не стал бы.

П.С. /import переносит даже те настройки, що не указаны в файле?

2useven10

2012-10-31 16:15

developer   bugnote:0009683

импорт конечно переносит все настройки указанные в файле.
телепатические навыки не используются.

ladserg

2012-10-31 16:19

reporter   bugnote:0009684

просто интересно, в каких случаях понадобится использовать шаблоны настроек из db именно тех настроек, которых нет :-/ Да и, хм, понадобится ли переносить настройки из db, при наличии XML. Впрочем - я хз, то что мне надо уже есть.

NightRoman

2012-10-31 16:27

reporter   bugnote:0009685

Две вещи мне непонятны.

1) Почему указывается каталог, а не файл, если речь о файле?

2) Зачем эта фича еще и в ком. строке? Никто не просил. Пока нет спроса, добавлять не надо.

2useven10

2012-11-01 16:13

developer   bugnote:0009695

2916
Имя параметра в Far.exe.ini изменено на TemplateProfile.
По умолчанию это путь к ФАЙЛУ (%FARHOME%\Default.farconfig).

ladserg

2012-11-01 16:27

reporter   bugnote:0009696

спасибо

2useven10

2012-11-01 18:12

developer   bugnote:0009697

2917 - исправлена ошибка с 'panelmodes'

Issue History

Date Modified Username Field Change
2012-10-23 16:56 ladserg New Issue
2012-10-23 21:36 NightRoman Note Added: 0009645
2012-10-24 09:21 ladserg Note Added: 0009649
2012-10-24 09:29 NightRoman Note Added: 0009651
2012-10-30 20:23 2useven10 Note Added: 0009679
2012-10-30 20:23 2useven10 Assigned To => 2useven10
2012-10-30 20:23 2useven10 Status new => feedback
2012-10-31 14:28 ladserg Note Added: 0009680
2012-10-31 14:28 ladserg Status feedback => assigned
2012-10-31 15:54 2useven10 Note Added: 0009681
2012-10-31 15:54 2useven10 Status assigned => feedback
2012-10-31 16:03 ladserg Note Added: 0009682
2012-10-31 16:03 ladserg Status feedback => assigned
2012-10-31 16:15 2useven10 Note Added: 0009683
2012-10-31 16:19 ladserg Note Added: 0009684
2012-10-31 16:27 NightRoman Note Added: 0009685
2012-11-01 16:13 2useven10 Note Added: 0009695
2012-11-01 16:13 2useven10 Status assigned => feedback
2012-11-01 16:27 ladserg Note Added: 0009696
2012-11-01 16:27 ladserg Status feedback => assigned
2012-11-01 18:12 2useven10 Note Added: 0009697
2012-11-01 18:21 2useven10 Status assigned => feedback
2012-11-29 18:26 2useven10 Build => 2955
2012-11-29 18:26 2useven10 Status feedback => closed
2012-11-29 18:26 2useven10 Resolution open => fixed
2012-11-29 18:26 2useven10 Fixed in Version => 3.0